Update existing plugin
curl --request PUT \
--url https://api.smokeball.com/plugins/{pluginId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"externalId": "<string>",
"version": {
"name": "<string>",
"description": "<string>",
"placement": "<string>",
"requestEndpointUrl": "<string>",
"attributes": {
"text": "<string>",
"icon": "<string>",
"color": "<string>",
"tooltip": "<string>",
"page": {
"title": "<string>",
"width": 123,
"height": 123,
"useDefaultBrowser": true
}
},
"availability": {
"matterTypeIds": [
"<string>"
]
}
},
"key": "<string>",
"additionalData": {}
}
'import requests
url = "https://api.smokeball.com/plugins/{pluginId}"
payload = {
"externalId": "<string>",
"version": {
"name": "<string>",
"description": "<string>",
"placement": "<string>",
"requestEndpointUrl": "<string>",
"attributes": {
"text": "<string>",
"icon": "<string>",
"color": "<string>",
"tooltip": "<string>",
"page": {
"title": "<string>",
"width": 123,
"height": 123,
"useDefaultBrowser": True
}
},
"availability": { "matterTypeIds": ["<string>"] }
},
"key": "<string>",
"additionalData": {}
}
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-api-key': '<api-key>',
Authorization: '<api-key>',
'Content-Type': 'application/json-patch+json'
},
body: JSON.stringify({
externalId: '<string>',
version: {
name: '<string>',
description: '<string>',
placement: '<string>',
requestEndpointUrl: '<string>',
attributes: {
text: '<string>',
icon: '<string>',
color: '<string>',
tooltip: '<string>',
page: {title: '<string>', width: 123, height: 123, useDefaultBrowser: true}
},
availability: {matterTypeIds: ['<string>']}
},
key: '<string>',
additionalData: {}
})
};
fetch('https://api.smokeball.com/plugins/{pluginId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Plugins
Update existing plugin
Updates a plugin with the specified plugin details.
PUT
/
plugins
/
{pluginId}
Update existing plugin
Path Parameters
Body
application/json-patch+jsonapplication/jsonapplication/*+json
Optional id provided by the external system that owns this plugin.
The application that the plugin should be rendered in.
Available options:
Native, Web, Archie The type of component the plugin should represent.
Available options:
Button, Tab Current version of the plugin.
Show child attributes
Show child attributes
Signing key of the plugin to verify integrity of requesting secure URLs. Only available to set on Plugin creation.
Collection of KeyValuePair(string, object) to update Plugin meta data.
Show child attributes
Show child attributes
āI